﻿using System;
using System.Linq.Expressions;
using System.Windows.Input;
using Microsoft.Practices.Prism.Commands;

namespace XCE.SelectionReset
{
    public sealed class CommandsHolder : NamedItemsHolder<ICommand>
    {
        public void Add(string commandName, Action execute)
        {
            Add(commandName, new DelegateCommand(execute));
        }

        public void Add<TParameter>(string commandName, Action<TParameter> execute)
        {
            Add(commandName, new DelegateCommand<TParameter>(execute));
        }

        public void Add<TParameter>(string commandName, Action<TParameter> execute, Func<TParameter, bool> canExecute)
        {
            Add(commandName, new DelegateCommand<TParameter>(execute, canExecute));
        }

        public void Add(string commandName, Action execute, Expression<Func<bool>> canExecute)
        {
            Add(commandName, new DependencyCommand(execute, canExecute));
        }
    }
}