﻿using System;
using System.Linq;

namespace XCE.SelectionReset
{
    public static class StringExtensions
    {
        public static bool IsNullOrWhiteSpace(this string value)
        {
            return value == null || value.All(char.IsWhiteSpace);
        }

        public static void CheckNotNull(this string param, string paramName)
        {
            if (param.IsNullOrWhiteSpace())
                throw new ArgumentNullException(paramName);
        }

        public static bool EqualsIgnoreCase(this string expressionX, string expressionY)
        {
            if (expressionX == null)
                return expressionY == null;
            return expressionX.Equals(expressionY, StringComparison.OrdinalIgnoreCase);
        }
    }
}
