﻿using System;
using System.Runtime.Serialization;

namespace XCE.SelectionReset
{
    [DataContract(Name = "Feature", Namespace = "XCE.SelectionReset.Model")]
    public class Feature
    {
        [DataMember]
        public Guid Id { get; set; }

        /// <summary>
        ///		<see href="https://en.wikipedia.org/wiki/Well-known_text">Well-known text see</see>
        /// </summary>
        [DataMember]
        public string Polygon { get; set; }

        [DataMember]
        public string Name { get; set; }

        public Feature CreateCopy(bool excludeId)
        {
            var feature = new Feature { Name = Name, Polygon = Polygon };
            if (!excludeId)
            {
                feature.Id = Id;
            }

            return feature;
        }
    }
}