﻿using System.Collections.Generic;
using System.Runtime.Serialization;

namespace XCE.SelectionReset
{
    [DataContract(Name = "LayerA", Namespace = "XCE.SelectionReset.Model")]
    public class LayerA : LayerBase
    {
        public override LayerType Type => LayerType.A;

        [DataMember]
        public List<Feature> Features { get; private set; }

        [DataMember]
        public Tonality Tonality { get; set; }

        public LayerA()
        {
            Features = new List<Feature>();
        }

        public override LayerBase CreateCopy(bool excludeId)
        {
            var copy = new LayerA();
            CopyBaseContentTo(copy, excludeId);
            copy.Tonality = Tonality;

            foreach (var feature in Features)
            {
                copy.Features.Add(feature.CreateCopy(excludeId));
            }

            return copy;
        }
    }
}