﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace XCE.SelectionReset
{
    [DataContract(Name = "LayerB", Namespace = "XCE.SelectionReset.Model")]
    public class LayerB : LayerBase
    {
        public override LayerType Type => LayerType.B;

        [DataMember]
        public List<Guid> TargetLayerIds { get; private set; }

        public LayerB()
        {
            TargetLayerIds = new List<Guid>();
        }

        public override LayerBase CreateCopy(bool excludeId)
        {
            var copy = new LayerB();

            CopyBaseContentTo(copy, excludeId);

            foreach (var layerId in TargetLayerIds)
            {
                copy.TargetLayerIds.Add(layerId);
            }

            return copy;
        }
    }
}