﻿using System;
using System.Runtime.Serialization;

namespace XCE.SelectionReset
{
    [DataContract(Name = "LayerBase", Namespace = "XCE.SelectionReset.Model")]
    [KnownType(typeof(LayerA))]
    [KnownType(typeof(LayerC))]
    [KnownType(typeof(LayerB))]
    public abstract class LayerBase
    {
        public abstract LayerType Type { get; }

        [DataMember]
        public Guid Id { get; set; }

        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public int Order { get; set; }

        protected void CopyBaseContentTo(LayerBase other, bool excludeId)
        {
            if (!excludeId)
            {
                other.Id = Id;
            }

            other.Name = Name;
            other.Order = Order;
        }

        public abstract LayerBase CreateCopy(bool excludeId);
    }
}