﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace XCE.SelectionReset
{
    [DataContract(Name = "LayerC", Namespace = "XCE.SelectionReset.Model")]
    public class LayerC : LayerBase
    {
        public override LayerType Type => LayerType.C;

        [DataMember]
        public List<Guid> LayerIds1 { get; private set; }

        [DataMember]
        public List<Guid> LayerIds2 { get; private set; }

        public LayerC()
        {
            LayerIds1 = new List<Guid>();
            LayerIds2 = new List<Guid>();
        }

        public override LayerBase CreateCopy(bool excludeId)
        {
            var copy = new LayerC();
            CopyBaseContentTo(copy, excludeId);

            foreach (var layerId in LayerIds1)
            {
                copy.LayerIds1.Add(layerId);
            }

            foreach (var layerId in LayerIds2)
            {
                copy.LayerIds2.Add(layerId);
            }

            return copy;
        }
    }
}