﻿using System.ComponentModel;
using System.Globalization;
using System.Windows;

namespace XCE.SelectionReset
{
    public sealed class InverseBooleanToVisibilityConverter : ValueConverterBase<bool?, Visibility>
    {
        [DefaultValue(Visibility.Collapsed)]
        public Visibility InvisibleValue { get; set; } = Visibility.Collapsed;

        public override Visibility Convert(bool? value, CultureInfo culture)
        {
            return value.GetValueOrDefault() ? InvisibleValue : Visibility.Visible;
        }
    }
}