﻿using System.ComponentModel;
using System.Globalization;
using System.Windows;

namespace XCE.SelectionReset
{
    public sealed class ItemsCountToVisibilityConverter : ValueConverterBase<int, Visibility>
    {
        [DefaultValue(false)]
        public bool IsInverse { get; set; }

        public override Visibility Convert(int value, CultureInfo culture)
        {
            var isNotEmpty = value > 0;

            if (IsInverse)
            {
                isNotEmpty = !isNotEmpty;
            }

            return isNotEmpty ? Visibility.Visible : Visibility.Collapsed;
        }
    }
}