﻿using System.Windows;
using System.Windows.Controls;

namespace XCE.SelectionReset
{
    /// <summary>
    /// Searches for View key that matches ViewModel name without "Model" postfix.
    /// </summary>
    public sealed class ViewModelTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
            {
                return null;
            }

            var viewModelName = item.GetType().Name;
            var viewName = viewModelName.Substring(0, viewModelName.Length - "Model".Length);
            var template = ((FrameworkElement)container).FindResource(viewName);

            return template as DataTemplate;
        }
    }
}
