﻿using System;

namespace XCE.SelectionReset
{
    public class TargetLayerViewModel : ViewModelBase
    {
        private LayerBaseViewModel _layer;

        public LayerBaseViewModel Layer
        {
            get { return Layer; }
            set
            {
                if (_layer == value) return;
                _layer = value;
                OnPropertyChanged();
            }
        }

        public Guid Id => _layer.Id;

        public string Name => _layer.Name;

        public int Order => _layer.Order;

        public static bool operator ==(TargetLayerViewModel left, TargetLayerViewModel right)
        {
            if (ReferenceEquals(left, right))
            {
                return true;
            }

            if (((object)left == null) || ((object)right == null))
            {
                return false;
            }

            return left.Equals(right);
        }

        public static bool operator !=(TargetLayerViewModel left, TargetLayerViewModel right)
        {
            return !(left == right);
        }

        public override string ToString()
        {
            return !string.IsNullOrEmpty(Name) ? Name : string.Empty;
        }

        public override int GetHashCode()
        {
            return ToString().GetHashCode();
        }

        public override bool Equals(object obj)
        {
            var other = obj as TargetLayerViewModel;
            return other?.Id != null && Id.Equals(other.Id);
        }
    }
}