﻿using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace XCE.SelectionReset
{
    public class ViewModelBase : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public CommandsHolder Commands { get; private set; }

        public ViewModelBase()
        {
            Commands = new CommandsHolder();
        }

        public void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
